Loading...
Searching...
No Matches
OpenMesh::FilteredSmartRangeT< RangeT, HandleT, Functor >::FilteredIterator Struct Reference
Inheritance diagram for OpenMesh::FilteredSmartRangeT< RangeT, HandleT, Functor >::FilteredIterator:
[legend]
Collaboration diagram for OpenMesh::FilteredSmartRangeT< RangeT, HandleT, Functor >::FilteredIterator:
[legend]

## Public Member Functions

| FilteredIterator (Functor f, BaseIterator it, BaseIterator end)
| FilteredIterator (const FilteredIterator &other)=default
FilteredIterator & | operator= (const FilteredIterator &other)
FilteredIterator & | operator++ ()

## Public Attributes

Functor | f_
BaseIterator | end_

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Mesh/SmartRange.hh